Java on Yosemite - Security Vulnerabilities

Discussion in 'OS X Yosemite (10.10)' started by Tucom, Mar 25, 2015.

  1. Tucom macrumors 65816

    Tucom

    Joined:
    Jul 29, 2006
    #1
    Hi,

    I'm starting college again soon, and unfortunately the Cisco WebEX chat plug is requirement that also requires the installation of Java :mad:

    I'm almost considering purchasing another Mac/PC just to for this alone, but I REALLY don't have the funds for that :(

    Now, is there really anything to be concerned about security wise with Java on Yosemite? Is there really nothing to worry about and is it able to be uninstalled cleanly enough that wouldn't warrant a re-installation of the entire Yosemite OS?
     
  2. GGJstudios macrumors Westmere

    GGJstudios

    Joined:
    May 16, 2008
    #2
  3. Tucom thread starter macrumors 65816

    Tucom

    Joined:
    Jul 29, 2006
    #3
    Unfortunately it appears that Java will be required to be enabled by my browser, hence the Cisco WebEX plug in (and Berklee's setup is all browser based).

    I'll check out those links, thanks.
     
  4. GGJstudios macrumors Westmere

    GGJstudios

    Joined:
    May 16, 2008
    #4
    Be sure to disable it in your browser each time you leave their site, as Java has been a vector for malware in the past.
     
  5. dyt1983, Mar 25, 2015
    Last edited: Jun 2, 2015

    dyt1983 macrumors 65816

    Joined:
    May 6, 2014
    Location:
    USA USA USA
    #5
    edit: To remove personally identifying information not relevant to the thread.
     
  6. chrfr macrumors 603

    Joined:
    Jul 11, 2009
    #6
    Are you certain it's still required?
    From this page: https://support.webex.com/MyAccountWeb/knowledgeBase.do?articleId=WBX4830
     

Share This Page